[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.SetFieldData

Store the data for a field

## Declaration

Source position: line 0

`public procedure TDataSet.SetFieldData(`
`Field: TField;`
`Buffer: Pointer`
`); virtual; overload; procedure TDataSet.SetFieldData(`
`Field: TField;`
`Buffer: Pointer;`
`NativeFormat: Boolean`
`); virtual; overload;`

## Arguments

`Field` |  | Field to copy data for

## Arguments

`Field` |  | Field to copy data for
`NativeFormat` |  | Is the data in native format

## Description

SetFieldData should copy the data from field Field, stored in the memory pointed to by Buffer to the dataset memory buffer for the current record. This function is not intended for use by end-user applications, and should be used only in descendent classes, where it can be overridden. The NativeFormat determines whether the data is in native format (e.g. whether the date/time values are in TDateTime format).

## See also

TField.DisplayText |  | Formatted field value

Documentation generated on: Feb 26 2014